import { SYSTEM } from "../config/system.mjs";

export default class HamalronLangue extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const fields = foundry.data.fields;
    const schema = {};

    schema.description = new fields.HTMLField({ required: true, textSearch: true })
    schema.niveau = new fields.NumberField({ required: true, initial: 0, min: 0, integer: true });

    return schema;
  }

  /** @override */
  static LOCALIZATION_PREFIXES = ["HAMALRON.Langue"];
}